SeExpr

Public Member Functions | Private Types | Private Attributes | List of all members
SeExpr2::Timer Class Reference

`#include <Platform.h>`

## Public Member Functions
| Timer ()
void | start ()
long | elapsedTime ()

## Private Types
typedef timespec | Time

## Private Attributes
Time | startTime
Time | stopTime
bool | started

## Detailed Description

Definition at line 99 of file Platform.h.

## Member Typedef Documentation

## ◆ Time

typedef timespec SeExpr2::Timer::Time
| private

Definition at line 103 of file Platform.h.

## Constructor & Destructor Documentation

## ◆ Timer()

SeExpr2::Timer::Timer | ( |  | ) |
| inline

Definition at line 109 of file Platform.h.

## Member Function Documentation

## ◆ elapsedTime()

long SeExpr2::Timer::elapsedTime | ( |  | ) |
| inline

Definition at line 120 of file Platform.h.

References started, startTime, and stopTime.

Referenced by SeExpr2::PrintTiming::~PrintTiming().

## ◆ start()

void SeExpr2::Timer::start | ( |  | ) |
| inline

Definition at line 111 of file Platform.h.

References started, and startTime.

Referenced by SeExpr2::PrintTiming::PrintTiming().

## Member Data Documentation

## ◆ started

bool SeExpr2::Timer::started
| private

Definition at line 106 of file Platform.h.

Referenced by elapsedTime(), and start().

## ◆ startTime

Time SeExpr2::Timer::startTime
| private

Definition at line 105 of file Platform.h.

Referenced by elapsedTime(), and start().

## ◆ stopTime

Time SeExpr2::Timer::stopTime
| private

Definition at line 105 of file Platform.h.

Referenced by elapsedTime().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Platform.h